WooCommerce – 1C Exchange now works with WC 3.7

We improved the plugin, fixed bugs, and tested with WC 3.7. Fork is available in our repository.

WooCommerce – 1C Exchange now works with WC 3.7


WooCommerce and 1C:Enterprise/1С:Предприятие Data Exchange plugin is the only working solution for data exchange between WooCommerce and 1C:Enterprise. For a long time, it does not has support by authors, what caused problems with last WooCommerce versions.

We improved the plugin, fixed some bugs, and tested its functionality under WC 3.7. Fork of the plugin is available in our repository.

Main problem was in that some functions were marked as deprecated in WC 3.6, and error handler of WC1C plugin catched this and terminated import abnormally. Same effect had any notifications and warnings occured in other plugins.

Additionally, all plugin code was refactored, and now it is satisfies to WordPress coding standards almost fully, what makes futher development of the plugin much more effective.

Full list of chages is available in the readme.txt:

  • Bug fixed with usage of order id.
  • Bug fixed when any notices and warnings in other plugins abnormally terminated the import.
  • Bug fixed with usage of update_woocommerce_term_meta() which marked as deprecated since WooCommerce 3.6
  • Bug fixed with generation of notice in admin.php
  • Added wc1c_before_offers action.
  • Code is almost fully confoms to WordPress coding standards now.
Pin It

Leave a Comment

This site uses Akismet to reduce spam. Learn how your comment data is processed.